FROM registry.yaltik.net/odoo:yaltik15
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

# PostgreSQL CLI
# RUN .local/bin/pip3 install --user pgcli
# COPY pgcli.sh ./
# Odoo specific
RUN pip3 install --no-cache-dir --user watchdog==2.1.6 ipython==7.32.0 && \
      mkdir -p /opt/odoo/.ipython/profile_default

COPY ipython_config.py /opt/odoo/.ipython/profile_default/
COPY shell_helpers.py /opt/odoo/
COPY shell12.sh /opt/odoo/shell.sh
COPY i18n.sh /opt/odoo/i18n.sh
COPY launch12.dev.sh /opt/odoo/launch.sh
ENV DEV 1
